import { useContext as r } from "react";
import { useStore as p } from "zustand";
import { PopupsContext as s } from "../contexts/PopupsContext/PopupsContext.js";
function m(t, e) {
  const o = r(s);
  if (!o)
    throw new Error("usePopupsStore context must be use inside PopupsContext");
  return p(o, t, e);
}
export {
  m as usePopupsStore
};
